
Redmine - Patch #4548

please pull in debian branch

2010-01-11 18:22 - Jérémy Lal

Status: Closed Start date: 2010-01-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Hi Eric,

i've forked redmine to github and added a debian (default) branch at :

git://github.com/kapouer/redmine.git

The debian patches are in debian/patches :)

Using gbp-pq (in git-buildpackage) would be really useful :

git checkout debian

gbp-pq import

this creates a patch-queue/debian branch where patches are applied,

so it's easier to work and cherry-pick from this branch.

for gbp-pq usage, see :

https://honk.sigxcpu.org/piki/development/debian_packages_in_git/

History

#1 - 2010-02-18 06:32 - Eric Davis

- Status changed from New to 7

Jean-Philippe Lang:

Jérémy Lal has done a great job with getting Redmine packaged up for Debain.  I'm ok with pulling the Debian files he needs to build the package but

I wanted to run it by you first to see if you had any thoughts.

#2 - 2010-02-18 10:40 - Jérémy Lal

I just updated the debian branch to the latest debian package 0.9.2-3 (not published on debian yet).

One important note : now using quilt 3.0 source format, which means debian patches are already applied.

The patches are split in three categories :

- patches to ensure rails 2.2 compatibility, which will be dropped when rails 2.3 gets into debian

- patches to ensure debian policy : more or less fixing paths, those ones might be interesting for you

- one patch that should not be there (i added a rest api for getting account info, will remove it soon)

Regards,

Jérémy.

#3 - 2010-02-18 10:42 - Jérémy Lal

i forgot to say that the patches are described in

debian/patches/

Also

debian/README.Debian

contains some informations about what they lead too.

#4 - 2010-06-19 10:54 - Jérémy Lal

Hello again.

I simplified my github fork for an easier review of applied patches in debian,

see http://github.com/kapouer/redmine/tree/0.9-stable

Now redmine debian package is using rails 2.3.5, so the main purpose of the patches

is to allow configuration of various paths for a system install of redmine.
Cheers,

Jérémy.

#5 - 2010-10-25 17:03 - Eric Davis

- Assignee deleted (Eric Davis)

#6 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

#7 - 2022-12-29 08:46 - Go MAEDA

- Status changed from New to Closed

The repository https://github.com/kapouer/redmine no longer exists.
